#--------------------------------------------------------------------------
#
#   HXFS 2019 - Shell
#
#--------------------------------------------------------------------------

from albow.dialogs import alert, ask, Dialog
from humerus.hshell import HShell
from main_menu_screen import MainMenuScreen
from about_screen import AboutScreen
from play_screen import PlayScreen
#from dialogs import ImageDialog

class Shell(HShell):

    game_title = "" #"Hexaflexagon Simulator 2019"
    
    def __init__(self, *args, **kwds):
        HShell.__init__(self, *args, **kwds)
        self.main_menu_screen = MainMenuScreen(self, with_menu = True)
        self.play_screen = PlayScreen(self)
        self.about_screen = AboutScreen(self)
        self.show_main_menu_screen()
    
    def options_cmd(self):
        pass
#         music_options_dlog.present()

    def leave_about_screen(self):
        if self.game.game_in_progress():
            self.show_play_screen()
        else:
            self.show_main_menu_screen()
